from buildutils import download_and_check, make, configure;
from package import Package;
from Path import Path

import utils;

class Make (Package):
  def full_name (self):
    return "make-3.81";

  def download (self):
    download_and_check ("http://ftp.gnu.org/pub/gnu/make/make-3.81.tar.bz2",
                        "354853e0b2da90c527e35aabb8d6f1e6")

  def extract (self):
    self.clear_and_unpack ("make-3.81.tar.bz2", "make-3.81")

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix", self.config.PREFIX.unix() ], "make-3.81")
    make ([ "make" ], "make-3.81")

  def install (self):
    make ([ "make", "install" ], "make-3.81")


def packages():
  return [ Make() ]
