from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class BinUtils(Package):
  def full_name (self):
    return "binutils-2.19.1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/binutils-2.19.1-mingw32-bin.tar.gz", 
                        "6bba3bd1bf510d152a42d0beeeefa14d")

  def extract (self):
    pass

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("binutils-2.19.1-mingw32-bin.tar.gz", "mingw")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ BinUtils() ]
