from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysCore(Package):
  def full_name (self):
    return "msysCORE-1.0.11-rc-1"

  def download (self):
    download_and_check ("http://surfnet.dl.sourceforge.net/sourceforge/mingw/msysCORE-1.0.11-rc-1-bin.tar.gz", 
                        "4b3662e36b58f750fe99c5ddb9393752")

  def extract (self):
    pass

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("msysCORE-1.0.11-rc-1-bin.tar.gz", "msys")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ MSysCore() ]
