from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class NSIS(Package):
  def full_name (self):
    return "nsis-2.45"

  def download (self):
    download_and_check ("http://surfnet.dl.sourceforge.net/sourceforge/nsis/nsis-2.45.zip", 
                        "8fb39ec61b003653968c0f1c6b6dc73f")

  def extract (self):
    pass

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("nsis-2.45.zip", "nsis")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ NSIS() ]
