from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class GccCore(Package):
  def full_name (self):
    return "gcc-core-3.4.5"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/gcc-core-3.4.5-20060117-3.tar.gz", 
                        "33c9fdf7468a3c410f830471d0e3ffb8")

  def extract (self):
    pass

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("gcc-core-3.4.5-20060117-3.tar.gz", "mingw")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ GccCore() ]
