from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class GccGxx(Package):
  def full_name (self):
    return "gcc-g++-3.4.5"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/gcc-g++-3.4.5-20060117-3.tar.gz", 
                        "b3e7875d160fd8df2b13c5448ca78c4e")

  def extract (self):
    pass

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("gcc-g++-3.4.5-20060117-3.tar.gz", "mingw")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ GccGxx() ]
